from enum import Enum, auto

class Concept(Enum):
	UNKNOWN = auto()
	VORFAHRT_GEWAEHREN = auto()
	VORFAHRT_STRASSE = auto()
	STOP = auto()
	RECHTS_ABBIEGEN = auto()
	LINKS_ABBIEGEN = auto()
	RECHTS_VOR_LINKS = auto()

	def identify_by_str(name: str):
		match name:
			case 'VORFAHRT_GEWAEHREN':
				return Concept.VORFAHRT_GEWAEHREN
			case 'VORFAHRT_STRASSE':
				return Concept.VORFAHRT_STRASSE
			case 'STOP':
				return Concept.STOP
			case 'RECHTS_ABBIEGEN': 
				return Concept.RECHTS_ABBIEGEN
			case 'LINKS_ABBIEGEN':
				return Concept.LINKS_ABBIEGEN
			case 'RECHTS_VOR_LINKS':
				return Concept.RECHTS_VOR_LINKS
			case _:
				return Concept.UNKNOWN